<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionCycleOpticsMode Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d82/a07589.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionCycleOpticsMode Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Todo, once this is working try to make it work like weapon flashlights so it isnt needed to remove item to hands.  
 <a href="../../dc/d82/a07589.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionActionCycleOpticsMode:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d82/a07589.png" usemap="#ExpansionActionCycleOpticsMode_map" alt=""/>
  <map id="ExpansionActionCycleOpticsMode_map" name="ExpansionActionCycleOpticsMode_map">
<area href="../../d8/d69/a07593.html" title="Todo, once this is working try to make it work like weapon flashlights so it isnt needed to remove it..." alt="ActionSingleUseBase" shape="rect" coords="0,0,207,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4ed3b788dee7d66737f35ef33b38a69b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d82/a07589.html#a4ed3b788dee7d66737f35ef33b38a69b">ExpansionActionCycleOpticsMode</a> ()</td></tr>
<tr class="separator:a4ed3b788dee7d66737f35ef33b38a69b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f09b9a278521f89325c379bce950fe"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d82/a07589.html#ac9f09b9a278521f89325c379bce950fe">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:ac9f09b9a278521f89325c379bce950fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf212b0ff3efb20f1f6935a9dc0a2c95"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d82/a07589.html#abf212b0ff3efb20f1f6935a9dc0a2c95">HasTarget</a> ()</td></tr>
<tr class="separator:abf212b0ff3efb20f1f6935a9dc0a2c95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494841b465e3144858acb65be3b64817"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d82/a07589.html#a494841b465e3144858acb65be3b64817">GetText</a> ()</td></tr>
<tr class="separator:a494841b465e3144858acb65be3b64817"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cd29cd0f9713a886b6a4f4c4c9b1b6f"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d82/a07589.html#a0cd29cd0f9713a886b6a4f4c4c9b1b6f">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:a0cd29cd0f9713a886b6a4f4c4c9b1b6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1313bfa157beefe82c7e17684656ccb7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d82/a07589.html#a1313bfa157beefe82c7e17684656ccb7">OnExecuteServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a1313bfa157beefe82c7e17684656ccb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a72f74bae5be30d8ae4a226a0d370b65f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d57/a07633.html">ExpansionReflexMRSOptic</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d82/a07589.html#a72f74bae5be30d8ae4a226a0d370b65f">m_optic</a></td></tr>
<tr class="separator:a72f74bae5be30d8ae4a226a0d370b65f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Todo, once this is working try to make it work like weapon flashlights so it isnt needed to remove item to hands. </p>
<p ><a class="el" href="../../d9/d65/a03215.html">ExpansionActionCycleOpticsMode.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00014">14</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4ed3b788dee7d66737f35ef33b38a69b" name="a4ed3b788dee7d66737f35ef33b38a69b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ed3b788dee7d66737f35ef33b38a69b">&#9670;&#160;</a></span>ExpansionActionCycleOpticsMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionCycleOpticsMode::ExpansionActionCycleOpticsMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00018">18</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0cd29cd0f9713a886b6a4f4c4c9b1b6f" name="a0cd29cd0f9713a886b6a4f4c4c9b1b6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cd29cd0f9713a886b6a4f4c4c9b1b6f">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionCycleOpticsMode::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00039">39</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>

</div>
</div>
<a id="ac9f09b9a278521f89325c379bce950fe" name="ac9f09b9a278521f89325c379bce950fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9f09b9a278521f89325c379bce950fe">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionCycleOpticsMode::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00023">23</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>

</div>
</div>
<a id="a494841b465e3144858acb65be3b64817" name="a494841b465e3144858acb65be3b64817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a494841b465e3144858acb65be3b64817">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionCycleOpticsMode::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00034">34</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>

</div>
</div>
<a id="abf212b0ff3efb20f1f6935a9dc0a2c95" name="abf212b0ff3efb20f1f6935a9dc0a2c95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf212b0ff3efb20f1f6935a9dc0a2c95">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionCycleOpticsMode::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00029">29</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>

</div>
</div>
<a id="a1313bfa157beefe82c7e17684656ccb7" name="a1313bfa157beefe82c7e17684656ccb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1313bfa157beefe82c7e17684656ccb7">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionCycleOpticsMode::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00064">64</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a72f74bae5be30d8ae4a226a0d370b65f" name="a72f74bae5be30d8ae4a226a0d370b65f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72f74bae5be30d8ae4a226a0d370b65f">&#9670;&#160;</a></span>m_optic</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d57/a07633.html">ExpansionReflexMRSOptic</a> ExpansionActionCycleOpticsMode::m_optic</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d65/a03215_source.html#l00016">16</a> of file <a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/classes/useractionscomponent/actions/singleuse/<a class="el" href="../../d9/d65/a03215_source.html">expansionactioncycleopticsmode.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d82/a07589.html">ExpansionActionCycleOpticsMode</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
